Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2043435 - CVE-2022-0196 phoronix-test-suite: phoronix-test-suite vulnerable to Cross-Site Request Forgery (CSRF) [epel-7]
Summary: CVE-2022-0196 phoronix-test-suite: phoronix-test-suite vulnerable to Cross-S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: phoronix-test-suite
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-0196
TreeView+ depends on / blocked
 
Reported: 2022-01-21 09:09 UTC by Sandipan Roy
Modified: 2022-02-10 01:31 UTC (History)
2 users (show)

Fixed In Version: phoronix-test-suite-10.8.1-1.el8 phoronix-test-suite-10.8.1-1.el9 phoronix-test-suite-10.8.1-1.fc34 phoronix-test-suite-10.8.1-2.el7 phoronix-test-suite-10.8.1-1.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-10 00:37:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-01-21 09:09:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Sandipan Roy 2022-01-21 09:09:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2043433,2043435

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-02-01 18:11:29 UTC
FEDORA-2022-43f11039b2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-43f11039b2

Comment 3 Fedora Update System 2022-02-01 18:11:46 UTC
FEDORA-EPEL-2022-c11b187333 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c11b187333

Comment 4 Fedora Update System 2022-02-01 18:12:03 UTC
FEDORA-EPEL-2022-90efec73a3 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-90efec73a3

Comment 5 Fedora Update System 2022-02-01 18:12:20 UTC
FEDORA-EPEL-2022-ede7dc78bc has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ede7dc78bc

Comment 6 Fedora Update System 2022-02-01 18:12:37 UTC
FEDORA-2022-8f968eea82 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8f968eea82

Comment 7 Fedora Update System 2022-02-02 01:21:57 UTC
FEDORA-2022-43f11039b2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-43f11039b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-43f11039b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-02-02 01:26:11 UTC
FEDORA-EPEL-2022-c11b187333 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c11b187333

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-02-02 01:33:13 UTC
FEDORA-EPEL-2022-90efec73a3 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-90efec73a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-02-02 01:36:06 UTC
FEDORA-EPEL-2022-ede7dc78bc has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ede7dc78bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-02-02 16:37:50 UTC
FEDORA-2022-8f968eea82 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-8f968eea82`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8f968eea82

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-02-10 00:37:40 UTC
FEDORA-EPEL-2022-c11b187333 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-02-10 00:52:49 UTC
FEDORA-EPEL-2022-ede7dc78bc has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-02-10 01:16:00 UTC
FEDORA-2022-43f11039b2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-02-10 01:19:41 UTC
FEDORA-EPEL-2022-90efec73a3 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-02-10 01:31:25 UTC
FEDORA-2022-8f968eea82 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.